Sign in Start for free

Octopus Server Nodes

Get a list of Octopus Server Nodes

GET /api/octopusservernodes

Lists all of the Octopus Server Nodes participating in the current Octopus Server cluster.

Query Parameters

  • ids array of string
    List of IDs.
  • partialName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Octopus Server Nodes

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsInMaintenanceMode boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • MaxConcurrentTasks integer
    • Name string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Id": "string",
      "IsInMaintenanceMode": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "MaxConcurrentTasks": 0,
      "Name": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Get all Octopus Server Nodes

GET /api/octopusservernodes/all

Lists the name and ID of all Octopus Server nodes

Response

200 — The requested list of Octopus Server Nodes

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsInMaintenanceMode boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • MaxConcurrentTasks integer
  • Name string

Example Response

JSON
[
  {
    "Id": "string",
    "IsInMaintenanceMode": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "MaxConcurrentTasks": 0,
    "Name": "string"
  }
]

Ping an octopus server node

GET /api/octopusservernodes/ping

Returns HTTP ImATeapot (418) when the Octopus Server node is draining or offline, otherwise HTTP OK (200). Always returns the node information in the body.

Response

200 — Contains information about the octopus server node

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsInMaintenanceMode boolean
  • IsOffline boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSeen string
    Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • MaxConcurrentTasks integer
  • Name string
  • Version string

Error Responses

  • 418 — Indicates that the node is draining or offline

Example Response

JSON
{
  "Id": "string",
  "IsInMaintenanceMode": true,
  "IsOffline": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSeen": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "MaxConcurrentTasks": 0,
  "Name": "string",
  "Version": "string"
}

Return all octopus server nodes in the cluster including their status information

GET /api/octopusservernodes/summary

Response

200 — The Octopus Server Nodes Summary

  • Links object
  • Nodes array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsInMaintenanceMode boolean
    • IsOffline boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • LastSeen string
      Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • MaxConcurrentTasks integer
    • MaxSqlConnectionPoolSize integer
    • Name string
    • RecommendedMaxSqlConnectionPoolSize integer
    • RunningTaskCount integer
    • Version string

Example Response

JSON
{
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Nodes": [
    {
      "Id": "string",
      "IsInMaintenanceMode": true,
      "IsOffline": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "LastSeen": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "MaxConcurrentTasks": 0,
      "MaxSqlConnectionPoolSize": 0,
      "Name": "string",
      "RecommendedMaxSqlConnectionPoolSize": 0,
      "RunningTaskCount": 0,
      "Version": "string"
    }
  ]
}

Get an Octopus Server Node by ID

GET /api/octopusservernodes/{id}

Path Parameters

  • id string (required)
    ID of the OctopusServerNode to load.

Response

200 — The requested Octopus Server Node

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsInMaintenanceMode boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • MaxConcurrentTasks integer
  • Name string

Example Response

JSON
{
  "Id": "string",
  "IsInMaintenanceMode": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "MaxConcurrentTasks": 0,
  "Name": "string"
}

Modify an existing OctopusServerNodeResource by ID

PUT /api/octopusservernodes/{id}

Modifies an existing Octopus Server node.

Path Parameters

  • id string (required)
    ID of the OctopusServerNodeResource to modify.

Request Body

  • Id string (required)
    ID of the OctopusServerNodeResource to modify.
  • IsInMaintenanceMode boolean
    The updated maintenance mode of the OctopusServerNodeResource to modify.
  • MaxConcurrentTasks integer
    The updated max concurrent tasks value of the OctopusServerNodeResource to modify.

Response

200 — Confirmation that the Octopus Server Node was modified, containing the new Node

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsInMaintenanceMode boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • MaxConcurrentTasks integer
  • Name string

Example Request

JSON
{
  "Id": "string",
  "IsInMaintenanceMode": true,
  "MaxConcurrentTasks": 0
}

Example Response

JSON
{
  "Id": "string",
  "IsInMaintenanceMode": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "MaxConcurrentTasks": 0,
  "Name": "string"
}

Delete an existing Octopus Server Node

DELETE /api/octopusservernodes/{id}

Path Parameters

  • id string (required)
    ID of the Octopus Server Node to delete.

Response

200 — Confirmation that the Octopus Server Node was deleted

Example Response

JSON
{}

Return a count of the running tasks on an octopus server node

GET /api/octopusservernodes/{id}/details

Path Parameters

  • id string (required)
    ID of the OctopusServerNode to load details.

Response

200 — Details about the requested Octopus Server Node

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • RunningTasks integer

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "RunningTasks": 0
}